import { PipeTransform } from '@angular/core';
import { EssentialsSelectFilter } from './filters/filter.models';
import { EssentialSelectComponent } from "./essential-select.component";
export declare class EssentialSelectFilterPipe implements PipeTransform {
    /**
     *
     * @param {Array<any>} value - all options
     * @param userSearchText user text entered in input
     * @param {EssentialsSelectFilter} args2 user defined (or by default) predicate
     * @param {boolean} useMultiSelect
     * @param essentialSelectComponent
     * @param userHasInputTextToSearchBeforeSelect
     * @returns options to show
     */
    transform(value: Array<any>, userSearchText: any, args2: EssentialsSelectFilter, useMultiSelect: boolean, essentialSelectComponent: EssentialSelectComponent, userHasInputTextToSearchBeforeSelect: boolean): any;
}
